libfreehand::FHRadialFill Struct Reference documentation

libfreehand::FHRadialFill Struct Reference

`#include <FHTypes.h>`

## Public Member Functions
| FHRadialFill ()

## Public Attributes
unsigned | m_color1Id
unsigned | m_color2Id
double | m_cx
double | m_cy
unsigned | m_multiColorListId

## Constructor & Destructor Documentation

## ◆ FHRadialFill()

libfreehand::FHRadialFill::FHRadialFill | ( |  | ) |
| inline

## Member Data Documentation

## ◆ m_color1Id

unsigned libfreehand::FHRadialFill::m_color1Id

Referenced by libfreehand::FHCollector::_appendRadialFill(), FHRadialFill(), libfreehand::FHParser::readContourFill(), libfreehand::FHParser::readNewContourFill(), libfreehand::FHParser::readNewRadialFill(), libfreehand::FHParser::readRadialFill(), and libfreehand::FHParser::readRadialFillX().

## ◆ m_color2Id

unsigned libfreehand::FHRadialFill::m_color2Id

Referenced by libfreehand::FHCollector::_appendRadialFill(), FHRadialFill(), libfreehand::FHParser::readContourFill(), libfreehand::FHParser::readNewContourFill(), libfreehand::FHParser::readNewRadialFill(), libfreehand::FHParser::readRadialFill(), and libfreehand::FHParser::readRadialFillX().

## ◆ m_cx

double libfreehand::FHRadialFill::m_cx

Referenced by libfreehand::FHCollector::_appendRadialFill(), FHRadialFill(), libfreehand::FHParser::readContourFill(), libfreehand::FHParser::readNewContourFill(), libfreehand::FHParser::readNewRadialFill(), libfreehand::FHParser::readRadialFill(), and libfreehand::FHParser::readRadialFillX().

## ◆ m_cy

double libfreehand::FHRadialFill::m_cy

Referenced by libfreehand::FHCollector::_appendRadialFill(), FHRadialFill(), libfreehand::FHParser::readContourFill(), libfreehand::FHParser::readNewContourFill(), libfreehand::FHParser::readNewRadialFill(), libfreehand::FHParser::readRadialFill(), and libfreehand::FHParser::readRadialFillX().

## ◆ m_multiColorListId

unsigned libfreehand::FHRadialFill::m_multiColorListId

Referenced by libfreehand::FHCollector::_appendRadialFill(), FHRadialFill(), libfreehand::FHParser::readContourFill(), libfreehand::FHParser::readNewContourFill(), libfreehand::FHParser::readNewRadialFill(), and libfreehand::FHParser::readRadialFillX().

The documentation for this struct was generated from the following file:

- FHTypes.h